Jump to content
anon743

MBAM 2.x "Unable to access update server"

Recommended Posts

Still using MBAM 2.2.1.1043 on XP (SP3), was able to update database until today when I got the "unable to access update server" just as MBAM was trying to update it... (See attached)

What exactly is going on here?  Repeated attempts to update the DB have been unsuccessful.

Can somebody please help??

2019-02-23_143207.jpg

2019-02-23_143554.jpg

Share this post


Link to post
Share on other sites

***This is an automated reply***

Hi,

Thanks for posting in the Malwarebytes 3 Help forum.

 

If you are having technical issues with our Windows product, please do the following: 

Spoiler

If you haven’t already done so, please run the Malwarebytes Support Tool and then attach the logs in your next reply:

NOTE: The tools and the information obtained is safe and not harmful to your privacy or your computer, please allow the programs to run if blocked by your system.

  1. Download Malwarebytes Support Tool
  2. Once the file is downloaded, open your Downloads folder/location of the downloaded file
  3. Double-click mb-support-X.X.X.XXXX.exe to run the program
    • You may be prompted by User Account Control (UAC) to allow changes to be made to your computer. Click Yes to consent.
  4. Place a checkmark next to Accept License Agreement and click Next
  5. You will be presented with a page stating, "Get Started!"
  6. Click the Advanced tab
    Repair menu_arrows.png
     
  7. Click the Gather Logs button
    Advanced_arrows.png
     
  8. A progress bar will appear and the program will proceed with getting logs from your computer
    Advanced Gather Logs_arrows.png
     
  9. Upon completion, click a file named mbst-grab-results.zip will be saved to your Desktop. Click OK
    Advanced Gather Logs completed_arrows.png
     
  10. Please attach the file in your next reply. Before submitting your reply, be sure to enable "Notify me of replies" like so:
     notify me.jpeg  

Click "Reveal Hidden Contents" below for details on how to attach a file:
 

Spoiler

To save attachments, please click the link as shown below. You can click and drag the files to this bar or you can click the choose files, then browse to where your files are located, select them and click the Open button.

mb_attach.jpg.220985d559e943927cbe3c078b
 

One of our experts will be able to assist you shortly.

 

If you are having licensing issues, please do the following: 

Spoiler

For any of these issues:

  • Renewals
  • Refunds (including double billing)
  • Cancellations
  • Update Billing Info
  • Multiple Transactions
  • Consumer Purchases
  • Transaction Receipt

Please contact our support team at https://support.malwarebytes.com/community/consumer/pages/contact-us to get help

If you need help looking up your license details, please head here: https://support.malwarebytes.com/docs/DOC-1264 

 

Thanks in advance for your patience.

-The Malwarebytes Forum Team

Share this post


Link to post
Share on other sites

Hello @anon743:

Using that XP's default browser, please reply with what is displayed when a connection is attempted to:

https://sirius.mwbsys.com

Thank you.

Share this post


Link to post
Share on other sites

@1PWI don't know what you mean.  Only OK shows up...

BTW that was AFTER I was tricked into installing the latest MBAM version to 3.5.1 and

Share this post


Link to post
Share on other sites

@1PW

I don't know what you mean.  Only OK shows up upon accessing that page.  (I'm using FF 50.x)

BTW that was AFTER I was tricked into installing the latest MBAM version to 3.5.1 because I accidentally pressed "Repair" in the Support Tool instead of pressing "Advanced" to generate and submit the logs...

That said I still want to continue using the older 2.2.1 version because it's simpler, and that I didn't have good experience with v3 when it first came out.  Not sure if anything has improved in 3.5.1 (legacy version) but if I revert to v2 will I run into the "unable to access update server" issue again??

Share this post


Link to post
Share on other sites

here the same thing after start this repair tool.I think they cut the Updates from the  2.x.x Versions to force people to install the 3.x.x

Vesions.

Share this post


Link to post
Share on other sites

This is weird, REALLY weird......

So I uninstalled MBAM v3.5.1 completely and reinstalled v2.2.1 again (with valid license of course).  The "unable to access update server" message still pops up, but the program DOES update the DB with the progress bar moving, even from the v2.2.1's bundled DB dated 2016.  Now the DB version is v2019.02.23.02.  (By contrast, with MBAM v3 there's no DB version being displayed, only "up to date" which is annoying)

Previously, when manually updating the DB, if there are no updates on the server the program would display "no updates found" then displays the most current DB version.  But now every time the same actions is performed, the program only shows "unable to access update server" and it only occurs since Feb 23...... (previously all DB updates were successful without any buggy messages like what is discussed here).

To summarize, whenever I do a manual check for DB update, on instances when "no updates found": should've been displayed, MBAM now shows "unable to access update server" instead, which is misleading.  However, accessing the site below shows the OK prompt:

https://sirius.mwbsys.com

Can someone tell me what's going on here??  Is this an MBAM server problem?  Can someone investigate??

2019-02-23_164704.jpg

Share this post


Link to post
Share on other sites

Hello @anon743:

The OK response indicates the XP system has the basic connection abilities to the Malwarebytes' database update server.

Actually, an upgrade to the legacy version (3.5.1.2522-1.0.365) is recommended.  MBAM 2.2.1.1043 simply can not offer the protection the super vulnerable Windows XP requires.

Has MBAM 2.X updated its database now?

Thank you.

Share this post


Link to post
Share on other sites
v2019.02.23.02 is the current database version as I send this.

Share this post


Link to post
Share on other sites

@SerDavos
I thought so, so I downloaded the Support Tool to check.  But instead of generating and submitting a log I clicked "Repair" which prompted the subsequent update to v3.5.1.  But you're wrong with the DB updates (see below).

Upon initial impression v3.5.1 seems to run OK.  However, recalling from my negative experience with earlier v3.x versions I've decided to revert to v2.2.1 instead.
Issues so far with v3:
1. No DB version shown (only "up to date" status displayed even at taskbar icon level);
2. In case of MBAM crash and when I need to shut down program under Task Manager, mbam.exe process CANNOT be killed off (the process is locked somehow) and, unable to shut down the service, a new session of MBAM cannot re restarted.  This is NOT the case with v2 which has saved my many days in case of MBAM v2 crashes.

@1PW
Compare my screencaps in this thread.  Before running the Support Tool the program DB was v2019.02.23.01.  Now, after trying and uninstalling v3.5.1, and reverting to v2.2.1 the program DB is v2019.02.23.02 as we speak.  But the "unable to access update server" still persists and now I'm asking WHY?

Also note my point (2) on why I stay away from v3.  However, I have not tested this with the v3.5.1 install so I don't know.


 

Share this post


Link to post
Share on other sites

@1PW
I will consider updating to v3.5.1 legacy version if issue (2) from my previous post has been rectified.  In other words, in case of MBAM program crashes I can freely force-end the entire mbam.exe service and restart another MBAM session, just like with v2.

Forgot to mention another issue with v3.x: when exiting the program from the task bar icon, there's no additional exit prompt like with v2, which can be annoying.

Share this post


Link to post
Share on other sites

In order to terminate Malwarebytes via Task Manager you need to first disable the self-protection module located under Settings>Protection.  To check the current database version you need to check the Settings>About tab, the database version is the third value listed as illustrated below:

db.png.2158cddbff8bf90df6596d4e941a313c.png

The versioning is different in 3.x vs 2.x so it doesn't display the same number for the database version as it would in 2.x.

As for the errors with 2.x, it is likely that since it's reached its End of Life date already that the update servers that used to provide the callback to the program that it was up to date (a checkin bit from the server if I recall correctly that would show what the latest DB version number is, and if it matches what's installed the program says that you have the latest version so they probably took that response offline since it doesn't apply to 3.x).  You can find the Malwarebytes Lifecycle info for 2.x on this page.  The last supported version for Windows Vista and XP is 3.5.1 which has not yet reached its EoL date:

† The End of Maintenance and End of Life Milestone dates for this product/version were not communicated publicly prior to the Lifecycle Policy effective date. End of Maintenance for this version will coincide with the Effective Date of the Lifecycle Policy. End of Life will be exactly 6 months from the End of Maintenance Date for Home applications, and 12 months from the End of Maintenance Date for Business and Technician applications.

‡ Malwarebytes for Windows 3.5.1 will be the last version available to users on Windows XP and Windows Vista operating systems. There will be no updates for these operating systems, this includes additional product enhancements or features. In order to get access to any protection updates utilizing updated detection technologies or techniques in newer versions, users will need to upgrade to a newer operating system.

Please note, we do not intend to declare End of Maintenance of v3.5.1 immediately upon the release of the next version, but will make such declaration at a later date. We may release bug fixes, stability improvements, and other upgrades for the XP and Vista platforms on an as needed basis. Users on these operating systems will continue to receive any available protection updates that are supported in v3.5.1 until its respective End of Maintenance date.

Share this post


Link to post
Share on other sites

@exile360
Thx for useful info

BTW I checked MBAM 2 on another laptop PC and the same "unable to access update server" message appears.  That laptop has not been maintained for the last year or so until just recently but the DB still gets updated despite the error message.

As for software's EOL, AFAIK MBAM v2 reached that long ago, but back then there wasn't an instance of the said error message while updating the DB.

Share this post


Link to post
Share on other sites

Yeah, I think they just recently took that server/system offline that reported back the current database version string in the old 2.x format (though obviously the actual databases themselves are still compatible since you are still able to update).  I'll poke someone on the Product team about it just to make certain it is intentional and not some random outage or some kind of technical issue, but I'm guessing that with so few still running 2.x and with it being so far past its EoL that they just decided to take it down/stop maintaining it as it had to get updated every time a new DB was published which, while it was obviously automated, still had to be maintained and uploaded by the Research team.

Edited by exile360

Share this post


Link to post
Share on other sites

Hi,

I have also been getting the "Unable to access update server" message (Win XP SP3) with free-to-use Ver 2.2.1.1043. Where can I download the Ver 3.5.1 Free-to-use software from?

Thanks for your help

Share this post


Link to post
Share on other sites
2 hours ago, lrbjmb said:

Hi,

I have also been getting the "Unable to access update server" message (Win XP SP3) with free-to-use Ver 2.2.1.1043. Where can I download the Ver 3.5.1 Free-to-use software from?

Thanks for your help

Greetings,

The last version compatible with Windows XP is available here.  Also, please refer to the info in the FAQ posted here for more info on legacy OS support (XP and Vista).

If there's anything else we might assist you with please let us know.

Thanks

Share this post


Link to post
Share on other sites
3 hours ago, lrbjmb said:

Hi,

I have also been getting the "Unable to access update server" message (Win XP SP3) with free-to-use Ver 2.2.1.1043. Where can I download the Ver 3.5.1 Free-to-use software from?

Thanks for your help

The error message persists during update but the update process actually still occurs successfully. See my posts for detail

Not sure if that's the case with free version but in my case I'm using lifetime key

Share this post


Link to post
Share on other sites

Same problem both on Vista and Windows 7 running MBAM 2.2.1.1043. However it updates successfully in background.

No problem at all on XP SP3 running MBAM 1.75.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...

Important Information

This site uses cookies - We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.